Skip to content
Start here

Consumers

List Queue Consumers
client.Queues.Consumers.List(ctx, queueID, query) (*SinglePage[Consumer], error)
GET/accounts/{account_id}/queues/{queue_id}/consumers
Get Queue Consumer
client.Queues.Consumers.Get(ctx, queueID, consumerID, query) (*Consumer, error)
GET/accounts/{account_id}/queues/{queue_id}/consumers/{consumer_id}
Create a Queue Consumer
client.Queues.Consumers.New(ctx, queueID, params) (*Consumer, error)
POST/accounts/{account_id}/queues/{queue_id}/consumers
Update Queue Consumer
client.Queues.Consumers.Update(ctx, queueID, consumerID, params) (*Consumer, error)
PUT/accounts/{account_id}/queues/{queue_id}/consumers/{consumer_id}
Delete Queue Consumer
client.Queues.Consumers.Delete(ctx, queueID, consumerID, body) (*ConsumerDeleteResponse, error)
DELETE/accounts/{account_id}/queues/{queue_id}/consumers/{consumer_id}
ModelsExpand Collapse
type Consumer interface{…}

Response body representing a consumer

One of the following:
type ConsumerMqWorkerConsumerResponse struct{…}
ConsumerID stringoptional

A Resource identifier.

maxLength32
CreatedOn Timeoptional
formatdate-time
DeadLetterQueue stringoptional

Name of the dead letter queue, or empty string if not configured

QueueName stringoptional
ScriptName stringoptional

Name of a Worker

Settings ConsumerMqWorkerConsumerResponseSettingsoptional
BatchSize float64optional

The maximum number of messages to include in a batch.

MaxConcurrency float64optional

Maximum number of concurrent consumers that may consume from this Queue. Set to null to automatically opt in to the platform's maximum (recommended).

MaxRetries float64optional

The maximum number of retries

MaxWaitTimeMs float64optional

The number of milliseconds to wait for a batch to fill up before attempting to deliver it

RetryDelay float64optional

The number of seconds to delay before making the message available for another attempt.

Type ConsumerMqWorkerConsumerResponseTypeoptional
type ConsumerMqHTTPConsumerResponse struct{…}
ConsumerID stringoptional

A Resource identifier.

maxLength32
CreatedOn Timeoptional
formatdate-time
DeadLetterQueue stringoptional

Name of the dead letter queue, or empty string if not configured

QueueName stringoptional
Settings ConsumerMqHTTPConsumerResponseSettingsoptional
BatchSize float64optional

The maximum number of messages to include in a batch.

MaxRetries float64optional

The maximum number of retries

RetryDelay float64optional

The number of seconds to delay before making the message available for another attempt.

VisibilityTimeoutMs float64optional

The number of milliseconds that a message is exclusively leased. After the timeout, the message becomes available for another attempt.

Type ConsumerMqHTTPConsumerResponseTypeoptional